import service from '../axios'

// 获取用户当前创世纪节点数据
export function userNode(param) {
    return service.get('genesis/user/node', { params: param });
}

// 查询用户领取记录
export function receiveRecord(param) {
    return service.get('genesis/receive/record', { params: param });
}

// 获取用户信息
export function userInfo(param) {
    return service.get('genesis/user/info', { params: param });
}

// 激活创世纪节点
export function nodeActive(param) {
    return service.post('genesis/node/active', param);
}

// 领取用户分红STT(新)
export function receiveReward(param) {
    return service.post('genesis/receive/reward', param);
}

// 添加管理员
export function managerAdd(param) {
    return service.post('genesis/manager/add', param);
}

// 移除管理员
export function managerRemove(param) {
    return service.post('genesis/manager/remove', param);
}

// 添加白名单
export function whiteListAdd(param) {
    return service.post('genesis/white-list/add', param);
}

// 移除白名单
export function whiteListRemove(param) {
    return service.post('genesis/white-list/remove', param);
}